%undefine __cmake_in_source_build

# This is a header-only library, but it install also cmake
# scripts to %%{_libdir}, so it cannot be noarch.
%global debug_package %{nil}

Name:       mpark-variant
Summary:    C++17 std::variant for C++11/14/17
Version:    1.4.0
%define subrel  1
Release:    %mkrel 2

License:    Boost
Group:      Development/C++
URL:        https://github.com/mpark/variant
Source0:    %{url}/archive/v%{version}/variant-%{version}.tar.gz

BuildRequires: ninja-build
BuildRequires: gcc-c++
BuildRequires: cmake
BuildRequires: gcc

%description
Header-only %{summary}.

%package devel
Summary: Development files for %{name}
Provides: %{name}-static = %{?epoch:%{epoch}:}%{version}-%{release}

%description devel
%{summary}.

%prep
%autosetup -n variant-%{version} -p1
sed -i 's@lib/@%{_libdir}/@g' CMakeLists.txt

%build
%cmake -G Ninja \
    -DCMAKE_BUILD_TYPE=Release
%cmake_build

%check
%ctest

%install
%cmake_install

%files devel
%doc README.md
%license LICENSE.md
%{_includedir}/mpark
%{_libdir}/cmake/mpark_variant

%changelog
* Sun Sep 4 2022 squidf <squid-f> 1.4.0-2.1
- Add group

* Fri Dec 24 2021 squidf <squid-f> 1.4.0-2
- Rebuild for MLO and to build nheko

* Fri Aug 20 2021 squidf <squid-f> 1.4.0-1.squidf.mga8
- build for MGA8 based on Fedora - 1.4.0-6
